> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# task

> Task table MDO list. Optional include "None" as first value.

## "task" MDO List

Task table MDO list. Optional include "None" as first value.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.TaskProvider">TaskProvider</see> class.
The name of the MDO list is 'task'.

## Additional Attributes

| Description                       | Name        | Example Value |
| --------------------------------- | ----------- | ------------- |
| Include a NO-SELECTION item first | includeNone | True          |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/task
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("task", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name        | StyleHint | ExtraInfo |
| -- | ----------- | --------- | --------- |
| 1  | Møte inne   |           |           |
| 2  | Møte ute    |           |           |
| 3  | Telefon ut  |           |           |
| 4  | Telefon inn |           |           |
| 5  | Oppfølging  |           |           |
| 6  | Planlegging |           |           |
| 7  | Besøk       |           |           |
| 8  | Lunsj       |           |           |
| 9  | Tilbud      |           |           |
| 10 | Service     |           |           |
| 11 | Privat      |           |           |
| 12 | Annet       |           |           |
| 13 | Messe       |           |           |
| 14 | Kampanje    |           |           |

## Related MDO Lists

* "taskheadings"
* "taskheadingswithallitem"
* "taskheadingswithallitemwithnoselection"
* "taskheadingswithnoselection"
* "taskwithallitem"
* "taskwithallitemwithnoselection"
* "taskwithnoselection"


## Related topics

- [Scheduled tasks](/en/customization/macros-and-scripts/admin/schedule-task.md)
- [Create task](/en/email/inbox/learn/create-task.md)
- [NSTask](/en/automation/crmscript/reference/CRMScript.NetServer.NSTask.md)
- [Task table](/en/database/tables/task.md)
- [Get Tasks](/en/api/reference/restful/agent/list_agent/get-tasks.md)
- [Update Batch Task](/en/api/reference/restful/agent/batch_agent/update-batch-task.md)
